Bug 1124840 - [RFE] No documentation about OSE backup available
Summary: [RFE] No documentation about OSE backup available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: brice
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 12:37 UTC by Sebastian Faulhaber
Modified: 2019-05-20 11:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 20822, Administration Guide-2-1.0 Build Date: 09-07-2014 13:30:27 Topic IDs: 28664-638463 [Latest]
Last Closed: 2015-04-13 13:39:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1379263 None None None Never

Description Sebastian Faulhaber 2014-07-30 12:37:48 UTC
Title: Backing Up Node Host Files

Describe the issue:
Unfortunately there does not seem information available on how to backup an OSE environment. I only found section 2.9 in the Administration guide which covers at least a bit for the Node Host part.

Suggestions for improvement:
Add a separate section in the Administration guide "Backup and restore". These topics should possibly be included:

A. Broker
MongoDB
Configuration
Logs
GIT Repository
...

B. Node
Configuration
...


Additional information:

Comment 5 Alex Dellapenta 2015-04-09 19:49:42 UTC
The node backup sections (for both the Deploy and Admin Guides) have been updated for more detail. The node recovery section in the Admin Guide has also been updated, including use of the oo-admin-regenerate-gear-metadata tool, which is available starting in OSE 2.1.6.

A section on backing up broker components already existed in the Deploy Guide, so it now appears in the Admin Guide (within the larger "Backup and Recovery" section) as well as the Deploy Guide (in the spot it's always been).

These changes will be published with the next round of documentation updates (should occur within the next week), and I'll update here with relevant links once they're live.


Note You need to log in before you can comment on or make changes to this bug.